> ## Documentation Index
> Fetch the complete documentation index at: https://www.commercengine.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve live events

> Retrieve live events



## OpenAPI

````yaml https://openapi.commercengine.io/ce-admin.json get /store/sse/live-events
openapi: 3.1.0
info:
  title: CE Admin APIs
  version: '1.0'
  summary: Comprehensive admin interface for managing your e-commerce platform
  description: >-
    Complete administrative API suite for Commerce Engine, providing powerful
    tools to manage products, orders, customers, inventory, analytics, and
    system configuration. Designed for administrators and backend integrations
    requiring full platform control.
  license:
    name: All Rights Reserved
    url: https://www.commercengine.io/contact-us
  contact:
    email: support@commercengine.io
    url: https://www.commercengine.io/contact-us
    name: Support
servers:
  - url: https://staging.api.commercengine.io/api/v1/{store_id}/admin
    description: Staging Server
    variables:
      store_id:
        default: store_id
        description: Store ID
  - url: https://prod.api.commercengine.io/api/v1/{store_id}/admin
    description: Prod Server
    variables:
      store_id:
        default: store_id
        description: Store ID
security:
  - Authorization: []
tags:
  - name: Analytics
    description: Analytics
  - name: Catalog
    description: Catalog
  - name: Coupons & promotions
    description: Coupons & promotions
  - name: Customers
    description: Customers
  - name: Filter Options
    description: Filter Options
  - name: Inventories
    description: Inventories
  - name: Marketplace
    description: Marketplace
  - name: Marketplace Catalog
    description: Marketplace Catalog
  - name: Media Gallery
    description: Media Gallery
  - name: Metrics
    description: Metrics
  - name: Orders
    description: Orders
  - name: Payments
    description: Payments
  - name: Payouts
    description: Payouts
  - name: POS
    description: POS
  - name: POSAdmin
    description: Admin endpoints to be used as proxy in pos
  - name: Segments
    description: Segments
  - name: Shipping
    description: Shipping
  - name: SSE
    description: SSE
  - name: Store
    description: Store
  - name: Webhooks
    description: Webhooks
paths:
  /store/sse/live-events:
    parameters: []
    get:
      tags:
        - SSE
      summary: Retrieve live events
      description: Retrieve live events
      operationId: get-live-events
      parameters: []
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AnalyticsEvent'
                type: object
components:
  schemas:
    AnalyticsEvent:
      title: AnalyticsEvent
      type: object
      properties:
        id:
          type: integer
        event_type:
          enum:
            - track
            - page
            - identify
        event_name:
          type: string
        user_id:
          type: string
        event_data:
          type: object
        channel:
          type: string
        store_id:
          type: string
        created_at:
          type: string
          format: date-time
        modified_at:
          type: string
          format: date-time
        message_id:
          type: string
        original_timestamp:
          type: string
          format: date-time
        sent_at:
          type: string
          format: date-time
        received_at:
          type: string
          format: date-time
        anonymous_id:
          type: string
        origin_source:
          type: string
        origin_url:
          type: string
        session_created_at:
          type: string
          format: date-time
        session_last_seen:
          type: string
          format: date-time
        session_id:
          type: string
        utm_params:
          type: object
        initial_origin_url:
          type: string
        initial_origin_source:
          type: string
        initial_utm_params:
          type: object
  securitySchemes:
    Authorization:
      type: http
      scheme: bearer

````